curl -sS -X PATCH 'https://apipub.firstbasehq.com/api/v1/inventory-orders/{inventoryOrderId}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"items": []
}'import requests
url = "https://apipub.firstbasehq.com/api/v1/inventory-orders/{inventoryOrderId}"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://apipub.firstbasehq.com/api/v1/inventory-orders/{inventoryOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "PROCESSING",
"warehouse": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"name": "SF Main Warehouse"
},
"reason": "ONE_OFF",
"firstbaseManaged": false,
"inventoryOrderItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "RECEIVED",
"sku": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"type": "PHYSICAL",
"pricing": null,
"discountedPrice": 999,
"warranty": "<unknown>",
"expectedShipDate": "2026-01-20"
}
],
"inventoryOrderShipments": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "SHIPPED",
"inventoryOrderShipmentItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"inventoryOrderItem": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"status": "RECEIVED",
"inventories": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"deployStatus": "DEPLOYED",
"serialNumber": "SN123456789",
"warehouse": "Main Warehouse"
}
]
}
],
"shippingCarrier": "UPS",
"trackingCode": "1Z00000000",
"trackingUrl": "https://tracking.example.com/1Z00000000",
"trackingStatus": "IN_TRANSIT",
"trackingShipmentId": "123E4567-E89B-12D3-A456-426614174000",
"estimatedDeliveryDate": "2024-01-15",
"etaStart": "2024-01-14",
"etaEnd": "2024-01-16"
}
],
"friendlyOrderId": "ORD-000123",
"customerPoNumber": "PO-12345",
"billingType": "SUBSCRIPTION",
"submittedBy": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"forename": "Jane",
"surname": "Doe"
},
"createdAt": "2026-02-26T14:15:22.123Z",
"updatedAt": "2026-03-15T09:00:00.000Z",
"expectedShipDate": "2026-03-10"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Modify inventory order
Partially update an inventory order. Field writability depends on order status — see request body schema.
curl -sS -X PATCH 'https://apipub.firstbasehq.com/api/v1/inventory-orders/{inventoryOrderId}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"items": []
}'import requests
url = "https://apipub.firstbasehq.com/api/v1/inventory-orders/{inventoryOrderId}"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://apipub.firstbasehq.com/api/v1/inventory-orders/{inventoryOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "PROCESSING",
"warehouse": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"name": "SF Main Warehouse"
},
"reason": "ONE_OFF",
"firstbaseManaged": false,
"inventoryOrderItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "RECEIVED",
"sku": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"type": "PHYSICAL",
"pricing": null,
"discountedPrice": 999,
"warranty": "<unknown>",
"expectedShipDate": "2026-01-20"
}
],
"inventoryOrderShipments": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "SHIPPED",
"inventoryOrderShipmentItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"inventoryOrderItem": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"status": "RECEIVED",
"inventories": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"deployStatus": "DEPLOYED",
"serialNumber": "SN123456789",
"warehouse": "Main Warehouse"
}
]
}
],
"shippingCarrier": "UPS",
"trackingCode": "1Z00000000",
"trackingUrl": "https://tracking.example.com/1Z00000000",
"trackingStatus": "IN_TRANSIT",
"trackingShipmentId": "123E4567-E89B-12D3-A456-426614174000",
"estimatedDeliveryDate": "2024-01-15",
"etaStart": "2024-01-14",
"etaEnd": "2024-01-16"
}
],
"friendlyOrderId": "ORD-000123",
"customerPoNumber": "PO-12345",
"billingType": "SUBSCRIPTION",
"submittedBy": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"forename": "Jane",
"surname": "Doe"
},
"createdAt": "2026-02-26T14:15:22.123Z",
"updatedAt": "2026-03-15T09:00:00.000Z",
"expectedShipDate": "2026-03-10"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Body
Request body for modifying an inventory order. All five top-level fields are optional. Omit a field to leave it unchanged. Behaviour depends on the order's current status:
- SUBMITTED: all five fields are writable.
- PROCESSING or SHIPPED: only
customerPoNumbermay be present in the body. Sending any other field (even with a value equal to the current one) returns 409 Conflict. - Any other status (ORDERED, RECEIVED, PARTIALLY_RECEIVED, COMPLETE, CANCELLED): the endpoint returns 409 Conflict.
Sending {} (no fields) returns 400 Bad Request.
Items semantics: if items is omitted entirely, the existing lines are left unchanged. If items is sent as [], the request is rejected (an order must have at least one active line). Per entry: omit id to add a new line; include id (with any subset of other fields) to update — server prefills skuId, pricingId, discountedPrice, warrantyPricingId, and type from the existing row. Send {"id": "...", "delete": true} to cancel a specific line. Existing lines whose id is not mentioned are left alone.
Response
Inventory order updated
Inventory order information